libgimpprint API Reference: bit-ops.h File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/bit-ops.h File Reference

Go to the source code of this file.

## Functions
void | stp_fold (const unsigned char *line, int single_height, unsigned char *outbuf)
void | stp_split_2 (int height, int bits, const unsigned char *in, unsigned char *outhi, unsigned char *outlo)
void | stp_split_4 (int height, int bits, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3)
void | stp_unpack_2 (int height, int bits, const unsigned char *in, unsigned char *outlo, unsigned char *outhi)
void | stp_unpack_4 (int height, int bits, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3)
void | stp_unpack_8 (int height, int bits, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3, unsigned char *out4, unsigned char *out5, unsigned char *out6, unsigned char *out7)

## Function Documentation

void stp_fold | ( | const unsigned char * | line,
|  | int | single_height,
|  | unsigned char * | outbuf
| ) |

| Definition at line 40 of file bit-ops.c. Referenced by stp_write_weave().

void stp_split_2 | ( | int | height,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | outhi,
|  | unsigned char * | outlo
| ) |

| Definition at line 183 of file bit-ops.c. References stp_split_2_2(), and stpi_split_2_1(). Referenced by stp_write_weave().

void stp_split_4 | ( | int | height,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3
| ) |

| Definition at line 314 of file bit-ops.c. References stpi_split_4_1(), and stpi_split_4_2(). Referenced by stp_write_weave().

void stp_unpack_2 | ( | int | height,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | outlo,
|  | unsigned char * | outhi
| ) |

| Definition at line 421 of file bit-ops.c. References stpi_unpack_2_1(), and stpi_unpack_2_2(). Referenced by stp_write_weave().

void stp_unpack_4 | ( | int | height,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3
| ) |

| Definition at line 571 of file bit-ops.c. References stpi_unpack_4_1(), and stpi_unpack_4_2(). Referenced by stp_write_weave().

void stp_unpack_8 | ( | int | height,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3,
|  | unsigned char * | out4,
|  | unsigned char * | out5,
|  | unsigned char * | out6,
|  | unsigned char * | out7
| ) |

| Definition at line 760 of file bit-ops.c. References stpi_unpack_8_1(), and stpi_unpack_8_2(). Referenced by stp_write_weave().